<h1>Choices for <%= @question.description %> in <%= @district.name %></h1>

<table>
  <thead>
    <tr>
      <th>Choice</th>
      <th>Party</th>
      <th colspan="2">Votes</th>
    </tr>
  </thead>
  <tbody>
    <%= for choice <- @choices do %>
      <tr>
        <td>
          <%= choice.description %>
        </td>
        <td>
          <%=  party_description(choice.party) %>
        </td>
        <td>
          <%= choice.votes %>
        </td>
        <td>
          <%= link to: Routes.choice_path(@conn, :edit, @district.id, @question.id, choice.id) do
          %>
            <i class="far fa-edit"> </i>
          <% end %>
          <%= link to: Routes.choice_path(@conn, :delete, @district.id, @question.id, choice.id),
            method: :delete,
            data: [confirm: "Are you sure?"]
            do
          %>
            <i class="fas fa-trash"> </i>
          <% end %>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>

<div>
  <%= link "Back", to: Routes.question_path(@conn, :index, @district.id), class: "btn-white" %>
  <%= link "New choice", to: Routes.choice_path(@conn, :new, @district.id, @question.id), class: "btn" %>
</div>
